#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.11
visibility:           public
id:                   foldl-1.4.11-JswaNyxKSdBFETTEzIafe4
key:                  foldl-1.4.11-JswaNyxKSdBFETTEzIafe4
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  b87c2dcf3063a41e0e8a7f6eeea8c6b2
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.4/site-local/foldl-1.4.11
library-dirs:         /usr/lib/ghc-8.10.4/site-local/foldl-1.4.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/foldl-1.4.11
hs-libraries:         HSfoldl-1.4.11-JswaNyxKSdBFETTEzIafe4
depends:
    base-4.14.1.0 bytestring-0.10.12.0
    comonad-5.0.8-AGKDUBWvZzL5d9GA9ykg2t containers-0.6.2.1
    contravariant-1.5.3-7koBfVZf7s8G3BlROnwJJd
    hashable-1.3.2.0-5x51STP8vZMKBx9J0CoY3R
    mwc-random-0.15.0.1-IEkPOBr2rn9D3iyje2SL8d
    primitive-0.7.1.0-8m0SIkzvpWsEA8CwM92QVI
    profunctors-5.6.2-EFuAcBwQxNK9WHy0SO15SF
    semigroupoids-5.3.5-9K6efyfv1VcHOgmNYhwBuu text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.14.0-HPNAhY9eekUIwMlQFAvZlw
    vector-0.12.3.0-FUD0lZOETAI870JKqcsC0A

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

